/*
 Theme Name:   InfoNet Bangla
 Theme URI:    https://infonetbangla.in
 Description:  Default GeneratePress child theme dev by INB
 Author:       INB
 Author URI:   https://infonetbangla.in
 Template:     generatepress
 Version:      1.0.0
*/


@media (min-width: 769px) {
    .site-main.inb-posts-container .dynamic-content-template {
        padding-left: 30px !important;
    }
    .site-main.inb-posts-container .generate-columns-container {
        margin-left: -30px;
    }
}

.site-main.inb-posts-container .masonry-load-more {
    margin: 10px auto;
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
}

.site-main.inb-posts-container .masonry-load-more a {
    border-radius: 30px;
    padding: 8px 20px;
}

.gb-grid-wrapper .gb-grid-column:last-child .inb-rsidebar-posts {
    border: 0
}

@media (max-width:1024px) {
    .mtbc {
        border: 1px solid #eee
    }
}



.inb-line-clamp-heading-comm a,.post-s-h3 a {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis
}


#mobile-header .menu-toggle {
    order: -1;
    margin-right: auto
}

.main-navigation,.sticky-enabled .main-navigation.is_stuck {
    box-shadow: rgba(0,0,0,.15) 0 2px 2.6px;
    border-radius: 0 0 20px 20px;
    border-bottom: 3px solid var(--global-color-1)
}

.slideout-navigation.main-navigation {
    border-top: 3px solid var(--global-color-1);
    border-radius: 0 20px 20px 0
}

.menu-ani {
    transition: .2s
}

.menu-ani:hover {
    transform: translateY(-3px)
}

.menu-ani:active {
    transform: translateY(1px)
}

.main-navigation {
    position: relative
}

::selection {
    background: #e00353!important;
    color: #fff!important
}

.wp-block-table {
    font-size: 18px!important
}

.generate-back-to-top {
    border-radius: 50%;
    bottom: 40px;
    right: 18px
}

.inb-gb-inpost {
    box-shadow: rgba(0,0,0,.24) 0 3px 8px
}

.inb-gbpost {
    box-shadow: rgb(50 50 93 / .25) 0 2px 5px -1px,rgb(0 0 0 / .3) 0 1px 3px -1px;
    transition: .3s
}

.inb-gbbtn,.right-float-join {
    text-decoration: none;
    transition: .2s
}

.inb-gbbtn:hover,.inb-gbpost:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 20px rgba(0,0,0,.2)
}

.inb-gbageimage {
    box-shadow: rgba(50,50,93,.25) 0 13px 27px -5px,rgba(0,0,0,.3) 0 8px 16px -8px
}

.inb-gbbtn {
    text-transform: uppercase
}

.inb-gbbtn-nxt {
    box-shadow: 3px 3px 5px rgba(0,0,0,.5)
}

.inb-gbbtn-prev {
    box-shadow: -3px 3px 5px rgba(0,0,0,.5)
}

.inb-gbbtn:active {
    transform: translateY(-1px);
    box-shadow: 0 5px 10px rgba(0,0,0,.2)
}

.inb-gbheading {
    box-shadow: 2px 3px 4px -1px rgba(0,0,0,.5)
}

.inb-gblink-padding a {
    padding-top: 15px
}

.inbsshare {
    cursor: pointer
}

.svg-gnews {
    fill: blue!important
}

.svg-share {
    fill: red!important
}

.author-name,.entry-meta {
    font-size: 15px;
    color: #424242
}

.search-modal-form,input[type=submit] {
    border-radius: 50px
}

.rank-math-question {
    font-size: 20px!important;
    padding-bottom: 6px!important;
    margin: 20px 0!important;
    border-bottom: 1px dashed #bababa
}

.rank-math-list-item {
    padding: 0 10px;
    margin: 20px 0;
    border-radius: 10px;
    border: 2px dashed #d1d1d1;
    background-color: #fff;
    box-shadow: 0 1px 2px rgba(0,0,0,.09)
}

.inb-line-clamp-heading-comm a {
    -webkit-line-clamp: 6
}

.inside-site-info.grid-container {
    border-top: 1px solid #fff
}

.footer-bar .widget ul li {
    display: inline-block;
    margin: 0 10px
}

li.wp-social-link.wp-social-link-telegram.wp-block-social-link {
    margin-bottom: auto
}

.right-float-join {
    position: fixed;
    box-shadow: rgba(50,50,93,.25) 0 13px 27px -5px,rgba(0,0,0,.3) 0 8px 16px -8px;
    border-radius: 4px;
    width: 64px;
    height: 30px;
    right: -6px;
    display: block;
    font-size: 13px;
    font-weight: 700;
    color: #fff;
    text-align: center;
    margin-right: -.2em;
    padding: 5px;
    bottom: 45%;
    z-index: 100
}

.join-wh,.join1 {
    background: #00b618
}

.join2 {
    margin-bottom: 35px;
    background: #0066ba
}

.right-float-join:hover {
    color: #fff;
    transform: translateY(-3px)
}

.right-float-join:active {
    transform: translateY(1px);
    color: #fff!important
}

.inb-search-result {
    display: inline-flex;
    column-gap: 10px
}

.inb-search-result span {
    color: var(--global-color-1)
}

.wp-block-search .wp-block-search__input {
    flex-grow: 1;
    min-width: 3em;
    border: 1px solid #949494
}

.wp-block-search__input {
    border: none!important;
    border-bottom: 1px solid #cdd6d1!important;
    background: 0 0!important;
    font-size: 15px;
    padding: 5px 2px!important
}


input:focus-visible {
    outline: -webkit-focus-ring-color auto 0
}

input[type=search],input[type=search]:focus {
    color: var(--body-txt)
}

.wp-block-search__button {
    border-radius: 20px;
    font-size: 13px!important;
    padding: 8px 20px!important;
    text-align: center;
    color: #fff!important;
    box-shadow: rgba(23,43,99,.3) 0 7px 28px!important
}

.right-sidebar-img {
    box-shadow: rgba(50,50,93,.25) 0 6px 12px -2px,rgba(0,0,0,.3) 0 3px 7px -3px
}

.widget-title {
    font-weight: 600;
    font-size: 28px!important;
    text-align: center;
    margin-bottom: 10px!important
}

.sidebar .widget {
    box-shadow: rgba(23,43,99,.3) 0 6px 18px;
    border-radius: 10px;
    margin-top: 10px
}

@media only screen and (max-width:600px) {
    .inb-gbsep {
        display: none
    }

    .wp-block-table {
        font-size: 15px!important
    }}

.tb-link {
    position: relative;
    transition: .4s
}

@media (max-width:768px) {
    .hide-4-mobile {
        display: none
    }

    .inb-search-result {
        font-size: 22px
    }

    .text-bold-mobile {
        font-weight: 600!important
    }

    .inside-footer-widgets>div:not(:last-child) {
        margin-bottom: 14px
    }
}

@media (min-width:769px) {
    .hide-4-desktop {
        display: none
    }

    .inside-right-sidebar {
        height: 100%
    }

    .inside-right-sidebar aside:last-child {
        position: -webkit-sticky;
        position: sticky;
        top: 95px
    }

    .inb-line-clamp-heading-desk-3 a {
        -webkit-line-clamp: 3
    }

    .navigation-branding img,.site-logo.mobile-header-logo img {
        margin-left: 25px
    }

    .inb-scrollbar::-webkit-scrollbar {
        height: 10px
    }

    .inb-scrollbar::-webkit-scrollbar-thumb {
        background: linear-gradient(to bottom right,#ff00c6 0,#d11919 100%);
        border-radius: 5px;
        cursor: pointer
    }

    .inb-related-grid::-webkit-scrollbar-track {
        background-color: #efeeee;
        border: 1px solid #e9e9e9
    }
}




.inb-author-desc,.inb-related-ptitle {
    -webkit-box-orient: vertical;
    text-overflow: ellipsis
}

body {
    --linear-gradient-tricolor: linear-gradient(135deg, #ffe6ef 0%, #efefff 50%, #ecfff1 100%)
}

.inb-sub-title {
    font-weight: 400!important;
    margin-bottom: 12px!important;
    color: var(--sub-title)!important
}

.inb-featured-txt {
    margin-bottom: 5px!important
}

.meta-auth-name {
    gap: 0!important
}

.wp-block-table th {
    background-color: var(--global-color-1)!important;
    color: #fff
}

table,td,th {
    border: 1px solid rgba(0,0,0,.1)!important
}

.wp-block-table thead {
    border-bottom: 0!important
}

.wp-block-table.is-style-stripes {
    border-width: 0
}

.wp-block-table table tbody tr:nth-child(odd),.wp-block-table.is-style-stripes tbody tr:nth-child(odd) {
    background-color: #f7f7f7
}

pre {
    background: rgba(255,0,198,.06);
    border-radius: 5px
}

.single-post .inside-article {
    box-shadow: rgba(9,30,66,.25) 0 4px 8px -2px,rgba(9,30,66,.08) 0 0 0 1px;
    border-radius: 10px;
    padding: 15px;
    background-color: var(--wg-color)
}

.inside-article .wp-block-image {
    margin-bottom: 15px!important
}

.inside-article .wp-block-image img {
    border: .2px solid #ff85e4;
    border-radius: 5px
}

.wp-block-embed,.wp-block-embed-youtube,.wp-block-video {
    position: relative;
    border: none;
    border-radius: 10px;
    overflow: hidden;
    margin-bottom: 20px
}

.wp-block-embed-youtube {
    padding: 4px
}

.wp-block-embed-youtube::before,.wp-block-video::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 10px;
    padding: 4px;
    background: linear-gradient(45deg,red,orange,#e7e700,green,#00f,indigo,#e721e7);
    -webkit-mask: linear-gradient(#fff 0 0) content-box,linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    pointer-events: none
}

.wp-block-video video {
    border-radius: 6px;
    display: block;
    width: 100%;
    height: auto
}

.wp-block-embed-youtube iframe {
    border-radius: 6px
}

.wp-block-buttons>.wp-block-button {
    margin-bottom: 10px!important
}

blockquote {
    font-size: 15px;
    font-weight: 600;
    color: #000;
    background: #e0f8ff;
    border: .01px dashed #949494;
    border-left: 5px solid var(--global-color-1);
    border-radius: 12px;
    box-shadow: rgba(23,43,99,.3) 0 3px 9px;
    padding: 10px;
    margin: 0 0 1.5em
}

blockquote a:hover {
    color: #000675
}

.question {
    margin-bottom: 20px
}

.answer {
    max-height: 0;
    color: green;
    font-weight: 700;
    margin: 15px 0 15px 15px;
    overflow: hidden;
    transition: max-height .3s ease-in-out
}

.answer.show {
    max-height: 1000px;
    transition: max-height 3.5s ease-in-out
}

.mcq-btn {
    background-color: #f900a2;
    color: #fff;
    font-weight: 700;
    padding: 5px 20px;
    border: none;
    border-radius: 45px;
    cursor: pointer;
    box-shadow: 0 4px 4px rgba(0,0,0,.3)
}

.inb-author-box {
    border: 1px solid #e7e5e5;
    border-radius: 8px;
    margin: 12px 5px 0;
    color: #1a1a1a
}

.inb-author-bio-box {
    display: flex;
    margin: 15px 0
}

.inb-inner-abox {
    padding: 0 15px
}

.inb-floating-head {
    background: #d8d8d8;
    display: inline-block;
    color: #0c0c0c;
    font-size: 15px;
    padding: 6px 15px;
    border-radius: 0 0 6px 6px;
    font-weight: 700
}

.inb-author-b-avatar {
    width: 60px;
    height: 60px;
    min-width: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow-x: hidden;
    overflow-y: hidden;
    padding: 3px;
    border-radius: 50%;
    margin-top: 6px
}

.inb-author-b-avatar img {
    border-radius: 50%
}

.inb-author-info {
    margin-left: 20px
}

.inb-author-desc {
    font-size: 14px;
    font-weight: 400;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    overflow: hidden;
    padding-top: 5px;
    color: var(--body-txt)
}

.inb-author-read-more {
    font-size: 14px;
    font-weight: 400;
    text-align: right;
    display: block
}

.inb-feedback-box {
    background: #d8d8d8;
    text-align: center;
    color: #0c0c0c;
    font-size: 12px;
    padding: 2px;
    font-weight: 500;
    border-radius: 0 0 7px 7px
}

.inb-rel-header,.inb-social-sharings-con span {
    font-weight: 600
}

.inb-inarticle-container {
    border: 1px solid #323a3498;
    border-radius: 5px;
    padding: 10px 8px;
    margin: 1.5em 0;
    background-color: var(--wdb-color);
    box-shadow: rgba(99,99,99,.2) 0 2px 8px 0
}

.inb-inarticle-join {
    display: flex;
    justify-content: center
}

.inb-inarticle-joinbutton {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    column-gap: .5em;
    font-size: 15px;
    font-weight: 700;
    text-align: center;
    padding: 5px 14px;
    border-radius: 18px;
    color: #fff;
    text-decoration: none;
    box-shadow: 0 .7em 1.5em -.5em #323a3498;
    margin-bottom: 6px
}

.join-whatsapp-in {
    background-color: #00bf23;
    margin-right: 18px
}

.join-telegram-in {
    background-color: #18a2f8
}

.inb-inarticle-joinbutton:hover {
    opacity: .85;
    color: #fff!important;
    box-shadow: 0 .5em 1.5em -.5em #323a3498
}

.inb-social-sharings-con {
    display: flex;
    justify-content: center;
    margin: 20px 0;
    text-align: center
}

.inb-ss-inner-con {
    display: flex;
    align-items: center;
    padding: 10px;
    background-color: var(--wdg-color);
    box-shadow: 0 1px 5px #999 inset;
    border-radius: 8px
}

.inb-ss-wrapper {
    display: flex;
    font-size: 0
}

.inb-share-text {
    font-size: 14px;
    font-weight: 700;
    color: #333;
    margin-right: 15px
}

.inb-social-sharings {
    padding: 8px;
    margin: 4px 6px;
    border-radius: 50px;
    transition: background-color .3s,transform .2s
}

.inb-social-sharings:hover {
    transform: scale(1.1)
}

.inb-social-sharings svg {
    position: relative;
    top: .15em;
    display: inline-block;
    fill: #fff;
    height: 22px;
    width: 22px
}

.inb-ss-fb {
    background-color: #1877f2
}

.inb-ss-wha {
    background-color: #16bf55
}

.inb-ss-tg {
    background-color: #08c
}

.inb-ss-x {
    background-color: #000
}

.inb-one-share {
    background-color: #f40000
}

h3.comment-reply-title {
    text-align: center;
    color: #222;
    margin-bottom: 14px
}

input#author,input#email,textarea#comment {
    border-radius: 8px;
    box-shadow: 0 0 4px #999 inset
}

.one-container .comments-area {
    padding: 14px;
    background: #ffd9df;
    border-radius: 10px;
    box-shadow: rgba(9,30,66,.25) 0 4px 8px -2px,rgba(9,30,66,.08) 0 0 0 1px;
    color: #000
}

.one-container .comments-area a {
    color: #000
}





.r_sidebar_title {
font-weight: 600;
}



